Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.uma.protocol.v1
Class SearchUrgentMedicalAidAttestationRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.mediprima.uma.protocol.v1.SearchUrgentMedicalAidAttestationRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:18:53+02:00",
               comments="JAXB RI v2.3.6")
    public class SearchUrgentMedicalAidAttestationRequest

extends RequestType
implements Serializable

Search urgent medical aid attestation with critera

Java class for SearchUrgentMedicalAidAttestationRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchUrgentMedicalAidAttestationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="Criteria" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}CriteriaType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SearchUrgentMedicalAidAttestationRequest()`

Method Summary
`CriteriaType` | `getCriteria()` Gets the value of the criteria property.
`void` | `setCriteria(CriteriaType value)` Sets the value of the criteria property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchUrgentMedicalAidAttestationRequest

    public SearchUrgentMedicalAidAttestationRequest()

Method Detail

### getCriteria

    public CriteriaType getCriteria()

  Gets the value of the criteria property.

  Returns:
    possible object is `CriteriaType`

### setCriteria

    public void setCriteria(CriteriaType value)

  Sets the value of the criteria property.

  Parameters:
    `value` - allowed object is `CriteriaType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.